summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-libs/libseek/Manifest4
-rw-r--r--media-libs/libseek/files/libseek-0.1-shared_library.patch13
-rw-r--r--media-libs/libseek/libseek-0.1.ebuild33
3 files changed, 50 insertions, 0 deletions
diff --git a/media-libs/libseek/Manifest b/media-libs/libseek/Manifest
new file mode 100644
index 0000000..c384c50
--- /dev/null
+++ b/media-libs/libseek/Manifest
@@ -0,0 +1,4 @@
+AUX libseek-0.1-shared_library.patch 270 SHA256 c39fcb916b2f61160c4cdc1a79dc79fada57b4b29d88eb0ab9fd9ea0ba1489cb SHA512 4fff9a16c642213935a53cdd1caddbff304a1f426d16928dbc2dd225e227898f5e3bfc07438f1d525d47818c72f6202c802c5aa4a7236c25748079f3dc3b441c WHIRLPOOL 0cfda8495a8bc0f8f02c0a0a207299c8f9e196a4cdc2065ffccf0b20175669f138d102e7bfcb295077950b5f6f1de06759d5b3e58115622493857a9073f63d93
+DIST libseek-0.1.tar.gz 8299 SHA256 36665bc173164733ae9044789b14d4a2b4b4a46e675183f5c81c56534a82c142 SHA512 0d0e219b2af25eef19f3be2a3943141f0dd28194fdc41762b0f03adf7b30df883a10ba7a5b57a68537a2b81afc05c11aa3e1b080b97aab2401a291c69c27d34c WHIRLPOOL 223756a887389129f16ea017691b049c9034d5365c8e9b711103c3275f7f9a7d17398d28cd89d1abeabe3813565a30c348ea3e367d35f6e6c1c3acab1c5c9f24
+DIST waf-1.8.5 96280 SHA256 05d6cae3a48ff0646bbf748d60926e53ec3947f353333ff977a95d738031023e SHA512 b1f0d0d4b745ef791b46bdd8430634a3621ebb5d8b4a3158fb55493c932eda33743ebd3ffc2023a030a6df5eee6c406f5b8b7e2a562c52e0d6a16b2328418dc0 WHIRLPOOL d2d5cdd5717feec55604b00fc06adcbf4b929d26b5a1951bf53e4ddffedb9029bcc7a98578b2f3ceb410d3d500c2675c5d527aa37b7bd608267ff61a1e3b72d6
+EBUILD libseek-0.1.ebuild 831 SHA256 6ad31c51aa27d87338335cc37a6f42b3d170cdb033c0b29a8456f8ac620f57b8 SHA512 e528c827484a3170f782fbca819ce414518ebed06bff20d1b917196a8626b38421c7f169811ddc2ccb3afaab93d380a867e49b4f9a2b6b83f6bb4aa2dc10ccb0 WHIRLPOOL 9860fb2a291593899eefbac2a74e19a822b45da6e93cd304a939ec78187265c0789cdb9c4b1d7601feb0b2b0e8f9bf087b271d62b43ce9642aa8aae25b5c36c9
diff --git a/media-libs/libseek/files/libseek-0.1-shared_library.patch b/media-libs/libseek/files/libseek-0.1-shared_library.patch
new file mode 100644
index 0000000..14073d1
--- /dev/null
+++ b/media-libs/libseek/files/libseek-0.1-shared_library.patch
@@ -0,0 +1,13 @@
+diff --git a/wscript b/wscript
+index 5074799c35c7..77fbc4e4935e 100644
+--- a/wscript
++++ b/wscript
+@@ -19,7 +19,7 @@ def configure(conf):
+ def build(bld):
+ bld(
+ target='seek',
+- features='cxx cxxstlib',
++ features='cxx cxxshlib',
+ source=[
+ 'seek.cpp',
+ ],
diff --git a/media-libs/libseek/libseek-0.1.ebuild b/media-libs/libseek/libseek-0.1.ebuild
new file mode 100644
index 0000000..13a92e7
--- /dev/null
+++ b/media-libs/libseek/libseek-0.1.ebuild
@@ -0,0 +1,33 @@
+EAPI="5"
+inherit waf-utils
+
+DESCRIPTION="Seek"
+HOMEPAGE="https://github.com/zougloub/libseek/"
+SRC_URI="https://github.com/zougloub/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+http://ftp.waf.io/pub/release/waf-1.8.5"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 amd64-linux"
+IUSE=""
+
+src_prepare() {
+ cp "${DISTDIR}"/waf-1.8.5 waf
+ chmod +x waf
+
+ epatch "${FILESDIR}"/${P}-shared_library.patch
+}
+
+# note: libseek waf fails when passed --libdir:
+# waf: error: no such option: --libdir
+src_configure() {
+ ${WAF_BINARY:="${S}/waf"}
+
+ tc-export AR CC CPP CXX RANLIB
+ echo "CCFLAGS=\"${CFLAGS}\" LINKFLAGS=\"${LDFLAGS}\" \"${WAF_BINARY}\" --prefix=${EPREFIX}/usr $@ configure"
+
+ CCFLAGS="${CFLAGS}" LINKFLAGS="${LDFLAGS}" "${WAF_BINARY}" \
+ "--prefix=${EPREFIX}/usr" \
+ "$@" \
+ configure || die "configure failed"
+}